part of add_v1_api_client;

class MathServiceParamMessage {
  int first;
  int second;

  /** Create new MathServiceParamMessage from JSON data */
  MathServiceParamMessage.fromJson(Map json) {
    if (json.containsKey("first")) {
      first = json["first"];
    }
    if (json.containsKey("second")) {
      second = json["second"];
    }
  }

  /** Create JSON Object for MathServiceParamMessage */
  Map toJson() {
    var output = new Map();

    if (first != null) {
      output["first"] = first;
    }
    if (second != null) {
      output["second"] = second;
    }

    return output;
  }

  /** Return String representation of MathServiceParamMessage */
  String toString() => JSON.stringify(this.toJson());

}

class MathServiceResultMessage {
  int result;

  /** Create new MathServiceResultMessage from JSON data */
  MathServiceResultMessage.fromJson(Map json) {
    if (json.containsKey("result")) {
      result = json["result"];
    }
  }

  /** Create JSON Object for MathServiceResultMessage */
  Map toJson() {
    var output = new Map();

    if (result != null) {
      output["result"] = result;
    }

    return output;
  }

  /** Return String representation of MathServiceResultMessage */
  String toString() => JSON.stringify(this.toJson());

}

